undo CL 5754063 / e23b66fcfc94
Does not actually test so files.
««« original CL description
misc/cgo: re-enable testso
Also enabled it for darwin.
R=rsc
CC=golang-dev
https://golang.org/cl/5754063
»»»
R=golang-dev, minux.ma, r, f
CC=golang-dev
https://golang.org/cl/5756075
diff --git a/src/run.bash b/src/run.bash
index c6f02e3..b5ffaa9 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -57,10 +57,13 @@
go test
) || exit $?
+$BROKEN ||
[ "$CGO_ENABLED" != 1 ] ||
[ "$GOHOSTOS" == windows ] ||
+[ "$GOHOSTOS" == darwin ] ||
(xcd ../misc/cgo/testso
-go test
+"$GOMAKE" clean
+./test.bash
) || exit $?
(xcd ../doc/progs